#!/usr/bin/python

from charmhelpers.core import hookenv
from charmhelpers.core.services.base import ServiceManager
from charmhelpers.core.services import helpers

import actions


def manage():
    config = hookenv.config()
    manager = ServiceManager([
        {
            'service': 'snappy-proposed-selftest-agent',
            'required_data': [config],
            'data_ready': [
                actions.basenode,
                actions.install_packages,
                actions.update_files,
                actions.install_python_packages,
                helpers.render_template(
                    source='upstart.conf',
                    target='/etc/init/snappy-proposed-selftest-agent.conf'),
                actions.log_start,
            ],
        },
    ])
    manager.manage()
